
Redmine - Patch #28119

Enable lax_spacing for markdown formatting in order to allow markdown blocks not surrounded by

empty lines

2018-02-01 10:18 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 3.3.7   

Description

In the markdown standard format, an empty line is required before and after a block in order to render the content properly.

1. List without an empty line (doesn't work)   

md_syntax_1.png -> md_output_1.png 

2. List with an empty line (works ok)  

md_syntax_2.png -> md_output_2.png 

3. Enabling option :lax_spacing for markdown formatting (more details about this option on github) allows also the first format:  

We already rolled out this change on our instance because most of the times, we forget to let the empty line and we observe that it

doesn't work after we save the changes.

The patch is attached.

Related issues:

Has duplicate Redmine - Defect #25339: Markdown:  list renders only with lead... Closed

Associated revisions

Revision 17198 - 2018-02-16 06:01 - Go MAEDA

Enable lax_spacing for markdown formatting (#28119).

Patch by Marius BALTEANU.

Revision 17247 - 2018-03-31 07:31 - Go MAEDA

Merged r17198 to 3.4-stable (#28119).

Revision 17248 - 2018-03-31 07:31 - Go MAEDA

Merged r17198 to 3.3-stable (#28119).

History

#1 - 2018-02-02 11:07 - Bernhard Rohloff

It happened to me just seconds ago.

+1

#2 - 2018-02-03 02:07 - Mischa The Evil

- Target version set to Unplanned backlogs

This LGTM.

OT: Your patch reminded me btw that we might also want a simple test (like ApplicationHelperTest#test_footnotes) for markdown footnotes (in 

source:trunk/test/unit/lib/redmine/wiki_formatting/markdown_formatter_test.rb) as enabled per #16072. And while writing this, the questions of 'how

many other textile syntax tests are there remaining lurking outside of source:/trunk/test/unit/lib/redmine/wiki_formatting/textile_formatter_test.rb and

what do we want to do with them?' comes up... But that is certainly for another issue.

#3 - 2018-02-11 07:43 - Go MAEDA
https://github.com/vmg/redcarpet#and-its-like-really-simple-to-use
www.redmine.org/projects/redmine/repository/revisions/17194/entry/trunk/test/helpers/application_helper_test.rb#L1051
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/test/unit/lib/redmine/wiki_formatting/markdown_formatter_test.rb
https://www.redmine.org/issues/16072
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/test/unit/lib/redmine/wiki_formatting/textile_formatter_test.rb


- Target version changed from Unplanned backlogs to 4.1.0

+1. It often annoys me.

I think we can commit this change to the trunk. Setting target version to 4.1.0.

#4 - 2018-02-16 06:02 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

Committed. Thank you for the improvement.

#5 - 2018-03-31 07:25 - Go MAEDA

- Has duplicate Defect #25339: Markdown:  list renders only with leading newline added

#6 - 2018-03-31 07:32 - Go MAEDA

- Target version changed from 4.0.0 to 3.3.7

Merged to stable branches.
